Get Business Data Tripadvisor Reviews Results by id

 
This endpoint provides feedback data on businesses listed on the Tripadvisor platform, including their locations, ratings, review content and count. The results are specific to the URL path indicated in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/business_data/tripadvisor/reviews/task_get/00000000-0000-0000-0000-000000000000
The response will include all available items in the TripAdvisor Reviews endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        url_pathstring

URL path received in a POST array

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        titlestring

title of the 'reviews' element in SERP
the name of the local establishment for which the reviews are collected

        locationstring

location of the local establishment
address of the local establishment for which the reviews are collected

        reviews_countinteger

the total number of reviews

        ratingobject

rating of the corresponding local establishment
popularity rate based on reviews and displayed in SERP

            rating_typestring

type of rating
here you can find the following elements: Max5, Percents, CustomMax

            valuefloat

the average rating based on all reviews

            votes_countinteger

the number of votes

            rating_maxinteger

the maximum value for a rating_type

        rating_distributionobject

rating distribution by votes
the distribution of votes across the rating in the range from 1 to 5

            1integer

votes for the 1-point rating

            2integer

votes for the 2-points rating

            3integer

votes for the 3-points rating

            4integer

votes for the 4-points rating

            5integer

votes for the 5-points rating

        items_countinteger

the number of reviews items in the results array
you can get more results by using the depth parameter when setting a task

        itemsarray

found reviews
you can get more results by using the depth parameter when setting a task

            typestring

the review's type
possible review types: "tripadvisor_review_search"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed reviews
absolute position among all reviews on the list

            positionstring

the alignment of the review in SERP
can take the following values: right

            urlstring

URL of the review

            ratingobject

the rating score submitted by the reviewer

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            date_of_visitstring

date of the reviewer's visit to the local establishment
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

            timestampstring

date and time when the review was published
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

            review_idstring

ID of the review

            titlestring

title of the review

            review_textstring

content of the review

            languagestring

language of the review text

            original_languagestring

language of the untranslated review text

            review_imagesarray

contains URLs of the images used in the review

                urlstring

URL of the image used in the review

            user_profileobject

information from the reviewer's profile

                namestring

reviewer's profile name

                urlstring

URL of the reviewer's profile

                image_urlstring

URL of the reviewer's profile image

                locationstring

URL of the reviewer's profile image

                reviews_countstring

total number of reviews submitted by the reviewer

            responsesarray

contains information about the owner's response

                titlestring

title of the owner's response
indicates the owner's name

                textstring

text of the owner's response

                languagestring

language of the response text

                response_idstring

ID of the response

                timestampstring

date and time when the response was published
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

            review_highlightsarray

review highlights
contains highlighted review criteria and assessments

                featurestring

reviewed feature

                assessmentstring

feature assessment


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/business_data/tripadvisor/reviews/task_get/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
   $result = array();
   // #1 - using this method you can get a list of completed tasks
   // GET /v3/business_data/tripadvisor/reviews/tasks_ready
   $tasks_ready = $client->get('/v3/business_data/tripadvisor/reviews/tasks_ready');
   // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
   if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
      foreach ($tasks_ready['tasks'] as $task) {
         if (isset($task['result'])) {
            foreach ($task['result'] as $task_ready) {
               // #2 - using this method you can get results of each completed task
               // GET /v3/business_data/tripadvisor/reviews/task_get/$id
               if (isset($task_ready['endpoint'])) {
                  $result[] = $client->get($task_ready['endpoint']);
               }
               // #3 - another way to get the task results by id
               // GET /v3/business_data/tripadvisor/reviews/task_get/$id
               /*
               if (isset($task_ready['id'])) {
                  $result[] = $client->get('/v3/business_data/tripadvisor/reviews/task_get/' . $task_ready['id']);
               }
               */
            }
         }
      }
   }
   print_r($result);
   // do something with result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/business_data/tripadvisor/reviews/task_get/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/business_data/tripadvisor/reviews/tasks_ready
response = client.get("/v3/business_data/tripadvisor/reviews/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
				# GET /v3/business_data/tripadvisor/reviews/task_get/$id
                if(resultTaskInfo['endpoint']):
                    results.append(client.get(resultTaskInfo['endpoint']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/business_data/tripadvisor/reviews/task_get/$id              
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/business_data/tripadvisor/reviews/task_get/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_tripadvisor_reviews_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/business_data/tripadvisor/reviews/tasks_ready
            var response = await httpClient.GetAsync("/v3/business_data/tripadvisor/reviews/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<<dynamic>>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<<object>>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/business_data/tripadvisor/reviews/task_get/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint);
                                    var taskResultObj = JsonConvert.DeserializeObject<<dynamic>>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/business_data/tripadvisor/reviews/task_get//$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/business_data/tripadvisor/reviews/task_get/" + (string)task.id);
                                    var taskResultObj = JsonConvert.DeserializeObject<<dynamic>>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20250526",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0801 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "06112116-1535-0353-0000-e5d3be058bf9",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0345 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "business_data",
        "tripadvisor",
        "reviews",
        "task_get",
        "06112116-1535-0353-0000-e5d3be058bf9"
      ],
      "data": {
        "api": "business_data",
        "function": "reviews",
        "se": "tripadvisor",
        "url_path": "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
        "location_code": 1003854,
        "depth": 10,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "url_path": "Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
          "type": "tripadvisor_reviews",
          "se_domain": "tripadvisor.com",
          "check_url": "https://www.tripadvisor.com/Hotel_Review-g60763-d23462501-Reviews-Margaritaville_Times_Square-New_York_City_New_York.html",
          "datetime": "2025-06-11 18:16:33 +00:00",
          "title": "Margaritaville Resort Times Square",
          "location": null,
          "reviews_count": 879,
          "rating": {
            "rating_type": "Max5",
            "value": 4.6,
            "votes_count": null,
            "rating_max": 5
          },
          "rating_distribution": {
            "1": 33,
            "2": 18,
            "3": 40,
            "4": 81,
            "5": 707
          },
          "items_count": 10,
          "items": [
            {
              "type": "tripadvisor_review_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1011625097-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 3,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-06-30 00:00:00 +00:00",
              "timestamp": "2025-06-08 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "Nice Hotel but design flaws and unnecessary wait to get a table at the restaurant when it is only a third full",
              "review_text": "It's a nice hotel, great location if you want to be right in the middle of Times Square, very clean and a fun concept but several design issues. Room was too cold and hard to turn off the ac or lower the temperature. Otherwise a very nice room with free coffee and water.  Elevators are way too slow. They definitely need more than 4. Very annoying at the Margarittaville restaurant where there are tons of empty tables but they pretend there's a 20 minute wait probably to make it seem more popular. It actually has the opposite effect and people leave. Also annoying that the rooftop bar closes at 8pm. Otherwise food and drink at the restaurants is great. Staff is friendly and it's a really fun vibe.",
              "language": "en",
              "original_language": "en",
              "review_images": null,
              "user_profile": {
                "name": "Camper65469451318",
                "url": "https://www.tripadvisor.com/Profile/Camper65469451318",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/eb/e3/default-avatar-2020-59.jpg",
                "location": "Brooklyn, New York",
                "reviews_count": 2
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "1"
                },
                {
                  "feature": "Rooms",
                  "assessment": "3"
                },
                {
                  "feature": "Location",
                  "assessment": "4"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "4"
                },
                {
                  "feature": "Service",
                  "assessment": "4"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "2"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 2,
              "rank_absolute": 2,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1011196323-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 1,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-06-05 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "What a terrible turn-off!",
              "review_text": "What a terrible turn-off! Afterwards, we were charged on our credit card for 500 dollars for supposedly smoking in our room. We've just never smoked in our lives. The communication afterwards with the hotel is worthless, the horn was simply thrown at it and also by mail it is impossible to get through. Also read the English reviews that already mention this. It's just become a revenue model of theirs so be warned about this! Book another hotel in this great city.",
              "language": "en",
              "original_language": "nl",
              "review_images": null,
              "user_profile": {
                "name": "Kees J",
                "url": "https://www.tripadvisor.com/Profile/397keesj",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/e2/e6/default-avatar-2020-45.jpg",
                "location": null,
                "reviews_count": 1
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "3"
                },
                {
                  "feature": "Rooms",
                  "assessment": "3"
                },
                {
                  "feature": "Location",
                  "assessment": "4"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "3"
                },
                {
                  "feature": "Service",
                  "assessment": "1"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "3"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 3,
              "rank_absolute": 3,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1011092611-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 1,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-06-04 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "Be aware, abuse creditcard",
              "review_text": "Do not book here!!!! They use your creditcard to take extra money. In our case three amoebes $500, $180 and $500. When you ask for the reason they say you smoked in the room. We have kever smoked in our lives. Terrible. And so unfair. So be aware and book another hotel!",
              "language": "en",
              "original_language": "en",
              "review_images": null,
              "user_profile": {
                "name": "Roving34291503545",
                "url": "https://www.tripadvisor.com/Profile/Roving34291503545",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/f2/b8/default-avatar-2020-26.jpg",
                "location": null,
                "reviews_count": 1
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "1"
                },
                {
                  "feature": "Rooms",
                  "assessment": "3"
                },
                {
                  "feature": "Location",
                  "assessment": "4"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "2"
                },
                {
                  "feature": "Service",
                  "assessment": "1"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "1"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 4,
              "rank_absolute": 4,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1010837464-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-06-02 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "A nice place to enjoy food!",
              "review_text": "Me & my wife decided to have my birthday lunch in here. Long story short, the food was great, the service was friendly & I didn't realize that there's a hotel inside the restaurant where you can stay for a night or two. Highly recommended, give it a try.",
              "language": "en",
              "original_language": "en",
              "review_images": null,
              "user_profile": {
                "name": "elvis4life",
                "url": "https://www.tripadvisor.com/Profile/elvis4life",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/f1/42/default-avatar-2020-20.jpg",
                "location": null,
                "reviews_count": 76
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "5"
                },
                {
                  "feature": "Rooms",
                  "assessment": "5"
                },
                {
                  "feature": "Location",
                  "assessment": "5"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "5"
                },
                {
                  "feature": "Service",
                  "assessment": "5"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "5"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 5,
              "rank_absolute": 5,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1010810427-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 1,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-03-31 00:00:00 +00:00",
              "timestamp": "2025-06-02 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "BEWARE: $500 Smoking Fee with No Warning or Proof –  Appalling Experience",
              "review_text": "I recently stayed at Margaritaville Resort Times Square with a friend. While the hotel itself is nice and the rooms are comfortable, I’m compelled to share my appalling experience that may affect your stay — and your wallet.nnUpon checkout, I was told that the $500 charge on my credit card was only a hold for incidentals. Weeks later, that amount appeared as a finalized charge. I called the hotel and was informed it was due to a smoking violation. The issue? Neither I nor my friend smoke.nnThe manager, Michael Louie, claimed the hotel uses silent smoke detection sensors, so we wouldn’t have known they were triggered — and we were never notified about any issue during our stay. When I followed up multiple times, Mr. Louie was conveniently always “in a meeting” or “not in yet.” One concierge even placed me on hold repeatedly without ever acknowledging the call.nnI disputed the charge with my credit card company, but they couldn’t assist because the hotel submitted a report. I was given no opportunity to respond to this accusation in real-time, and there was zero communication from hotel staff during my stay about any air quality concern. Noone came to confirm there was a smoking violation or notified us of the occurence.nnWhen I emailed Margaritaville, a senior manager, Valentyna Muravyk, sent me a report stating that air quality in the room was “Hazardous,” with PM 2.5 readings of 1110.3 (normal is 1–20) and PM 10.0 at 1150.4 (normal is 1–26). Oddly, if air quality was truly that dangerous, the hotel never checked on our well-being. Instead, they waited to charge me afterward with no conversation. nnEven more concerning: the report states the AQI “aligns with patterns TYPICALLY associated with smoking activities such as marijuana, tobacco, vaporizers, e-cigarettes, or other similar products” — meaning their system is not definitive. When I requested further details about the sensor model (left blank on the report), placement, and maintenance, I received no response despite multiple follow-ups.nnThis was my second stay at the hotel. In 2022, I had to evacuate down more than 20 floors due to a fire alarm that turned out to be false. A guest the next day mentioned this happens frequently. In hindsight, that should’ve been a red flag.nnI’ve spent hours trying to get this resolved — with little to no accountability from the hotel. If you choose to stay here, be aware of the risk of surprise charges and the lack of guest support when issues arise. nnMargaritaville may offer a beautiful aesthetic, but in my experience, it lacks integrity and transparency. I would strongly recommend booking elsewhere to avoid the stress and hassle.",
              "language": "en",
              "original_language": "en",
              "review_images": null,
              "user_profile": {
                "name": "Jen",
                "url": "https://www.tripadvisor.com/Profile/jenfilli",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/f3/23/default-avatar-2020-28.jpg",
                "location": null,
                "reviews_count": 1
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "1"
                },
                {
                  "feature": "Rooms",
                  "assessment": "3"
                },
                {
                  "feature": "Location",
                  "assessment": "5"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "4"
                },
                {
                  "feature": "Service",
                  "assessment": "1"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "3"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 6,
              "rank_absolute": 6,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1010518716-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-05-31 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "Quick trip to meet family from CT. Every detail of the hotel was excellent. Great staff, nice pool, options to dine.",
              "review_text": "This was the most convenient, friendliest spot ever. Love the endless free water, the gift shop, the ambience. Breakfast was good. Two other options for lunch, dinner or snack. Close to Times Square and subway. Would definitely stay here again. They hold you luggage if your transportation is hours after checkout or if you arrive early.",
              "language": "en",
              "original_language": "en",
              "review_images": [
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/30/07/b9/99/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/07/b9/9a/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/07/b9/9b/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/30/07/b9/d3/caption.jpg"
                }
              ],
              "user_profile": {
                "name": "Maureen Haislett",
                "url": "https://www.tripadvisor.com/Profile/54Happytrails",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/e8/91/default-avatar-2020-62.jpg",
                "location": "Orlando, Florida",
                "reviews_count": 21
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "5"
                },
                {
                  "feature": "Rooms",
                  "assessment": "5"
                },
                {
                  "feature": "Location",
                  "assessment": "5"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "5"
                },
                {
                  "feature": "Service",
                  "assessment": "5"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "5"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 7,
              "rank_absolute": 7,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1010476132-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-03-31 00:00:00 +00:00",
              "timestamp": "2025-05-31 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "Ideal location, well equipped room",
              "review_text": "If we have to return to New York, we will probably return to this hotel!nnInfrastructure:nHotel with nice beach decoration, with reminder of the city in which we are located.nBar, restaurant, café, ATM, souvenir shop, gym, swimming pool.nnLocation:nThe location of this hotel is simply exceptional: it is just a few meters from Times Square. nWe had been a bit fooled when we saw the address of the hotel, we thought it was a bit off-center but not at all: the main entrance is directly on 7th Avenue.nWith a wheelchair, we didn’t take the subway because we didn’t want to get stuck in a station without a lift.nSo we took buses in 90% of our trips and the hotel is close to stops that serve all of Manhattan well. nThe location could not have been better.nThere is an outdoor pool but we did not test it because our trip took place in March. nnPMR Room:nLarge enough to circulate with a wheelchair, and well adapted bathroom: a bar to the right of the toilet and behind it, a solid shower bench, bars on the side of the shower and in front of the seat. nThe space is large enough for transfers. nThe sink is lowered and the mirror at a good height.nThe room has a large bay window that face street, so it’s really nice. Draperies and curtains are automated.nThe room is not super soundproofed though.nStorage spaces are small, but we were able to fit the suitcase under the bed.nYou can hear loudly in the next room and the other guests slamming the doors in the hallways.nCleaning was done cleanly every day.nnRooftop bar: nNice but not very big. Very good cocktails but at NYC prices (20–25$ excluding taxes and service). Possibility to have snacks.nFriendly staff and manages to find a place even if it is full.nnStaff:nThe staff at the reception is not very friendly but they were efficient in each of our requests. nAt breakfast, the staff was always very friendly, although sometimes a little overwhelmed.nnBreakfast:nWatch out! When you take a room with breakfast included, in reality it is not fully understood. This is not specified anywhere. In fact, you receive a voucher per person per day at the reception in the amount of $25 (to pick up at the reception every day, they do not give them for the whole stay). The voucher received indicates that you can have a meal and a drink, but in practice it is a voucher for an amount and not a choice from the menu. In view of the price of the dishes, the voucher almost never covers the price of breakfast (it must be remembered that taxes, tips and service are not included and therefore the price indicated on the menu is much more expensive on the bill).nHowever, the breakfasts are really delicious: special mention for French toast and pancakes! They've been stalling us for most of the day.nnAirport shuttle:nWe took a shuttle via the hotel only for the return. The price was quite correct compared to what we had read during our research.nIn addition, the vehicle was very luxurious. However, we recommend specifying your transfer capabilities if you are travelling with a person with reduced mobility. The reception did not specify this with the driver when they booked the shuttle for us. The vehicle was very high, but we managed without any problems.nnWe didn’t know about this hotel chain but we really enjoyed discovering it during this trip to New York.",
              "language": "en",
              "original_language": "fr",
              "review_images": [
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/30/07/00/05/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/07/00/06/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/30/07/00/07/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/07/00/08/caption.jpg"
                }
              ],
              "user_profile": {
                "name": "Hellywo",
                "url": "https://www.tripadvisor.com/Profile/Helywo",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/f1/42/default-avatar-2020-20.jpg",
                "location": null,
                "reviews_count": 52
              },
              "responses": [
                {
                  "title": "Michael Louie",
                  "text": "Un grand merci pour votre retour si complet et détaillé. Nous sommes ravis que vous ayez apprécié notre emplacement exceptionnel au cœur de Times Square ainsi que les équipements adaptés de votre chambre PMR. Votre description précise de la salle de bain accessible et de la chambre nous montre que nos efforts pour l’accessibilité portent leurs fruits, même si nous notons vos remarques sur l’insonorisation.nnNous sommes heureux que vous ayez pu profiter du rooftop bar et de la qualité de nos petits déjeuners, malgré les limites du système de voucher que vous avez soulignées avec justesse. Vos commentaires sur le personnel à la réception et au petit déjeuner nous aident également à mieux comprendre où nous devons concentrer nos efforts pour améliorer l’accueil et le service.nnNous prenons également bonne note de votre expérience avec la navette aéroport, et vous remercions de votre recommandation, en particulier pour le conseil concernant les capacités de transfert.nnCe fut un plaisir de vous accueillir et nous espérons avoir le plaisir de vous recevoir à nouveau lors d’un prochain séjour à New York.nnChaleureusement,nL’équipe du Margaritaville Resort Times Square",
                  "language": "fr",
                  "response_id": "903835671",
                  "timestamp": "2025-06-05 00:00:00 +00:00"
                }
              ],
              "review_highlights": null
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 8,
              "rank_absolute": 8,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1010337160-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-05-30 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "A little piece of paradise in the jungle of Times Square",
              "review_text": "This hotel is worth a visit! Il est  nIt is located in Times Square next to the subway and many attractions such as Bryant Park, Central Station, the must-see library. It is almost new with small rooms very well equipped, beautiful, bright , super clean and with extra soft bedding. A large bay window, if you are on the upper floors, offers you a breathtaking view of the SUMMIT or other of your bed.The hotel immerses you in a Hawaiian atmosphere. The staff is very helpful. The rooms are cleaned every day with small bottles of water, coffee capsules and clean towels. nI would like to clarify to all those who have made bad comments about the fees, they are calculated per room per day for the service fee and vary according to the hotels to which the tourist tax per person per day is added. There is nothing dishonest about the amount calculated at the end of your stay and debited upon your return after checking your room. Just ask for the amount on arrival and of course you must know how to express yourself in English because necessarily the staff does not speak French and it is normal because their language is universal  So you will not have any bad surprises. nThey also have luggage storage for your last day.",
              "language": "en",
              "original_language": "fr",
              "review_images": [
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/04/c7/c4/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/04/c7/c5/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/04/c7/c6/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/04/c7/c7/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/30/04/c7/c8/caption.jpg"
                }
              ],
              "user_profile": {
                "name": "Jessica J",
                "url": "https://www.tripadvisor.com/Profile/F6128NCjessicaj",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1f/8a/63/3c/jessica-j.jpg",
                "location": "France",
                "reviews_count": 41
              },
              "responses": [
                {
                  "title": "Michael Louie",
                  "text": "Un grand merci pour votre magnifique avis ! Nous sommes ravis que vous ayez apprécié notre emplacement au cœur de Times Square, ainsi que la qualité et la propreté de nos chambres. C’est un plaisir de savoir que l’ambiance hawaïenne et le service de notre équipe ont contribué à rendre votre séjour agréable.nnNous apprécions également votre explication claire concernant les frais de service et la taxe de séjour, qui aidera certainement d’autres voyageurs à mieux comprendre ces aspects.nnAu plaisir de vous accueillir à nouveau très bientôt !nnChaleureusement,nL’équipe du Margaritaville Resort Times Square",
                  "language": "fr",
                  "response_id": "903835671",
                  "timestamp": "2025-06-05 00:00:00 +00:00"
                }
              ],
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "5"
                },
                {
                  "feature": "Rooms",
                  "assessment": "5"
                },
                {
                  "feature": "Location",
                  "assessment": "5"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "5"
                },
                {
                  "feature": "Service",
                  "assessment": "5"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "5"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 9,
              "rank_absolute": 9,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1009925135-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-05-31 00:00:00 +00:00",
              "timestamp": "2025-05-27 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "GREAT STAY",
              "review_text": "The hotel is in a great location. We were greeted very friendly at the reception. The rooms are very clean. The staff in the restaurant and bar on 31 December 1895 also worked on the bench. Stock are very friendly and accommodating. We have nothing to complain about!",
              "language": "en",
              "original_language": "de",
              "review_images": [
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/fd/c7/59/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/fd/c7/5a/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/fd/c7/5b/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/fd/c7/5c/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/fd/c7/5d/caption.jpg"
                }
              ],
              "user_profile": {
                "name": "reinijossen",
                "url": "https://www.tripadvisor.com/Profile/reinijossen",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/e9/bb/default-avatar-2020-65.jpg",
                "location": "Naters, Switzerland",
                "reviews_count": 65
              },
              "responses": [
                {
                  "title": "Michael Louie",
                  "text": "vielen Dank für Ihre tolle Bewertung! Es freut uns sehr, dass Ihnen unsere zentrale Lage gefallen hat und Sie sich von unserem Empfangsteam herzlich willkommen geheißen fühlten. Wir freuen uns auch, dass Sie mit der Sauberkeit der Zimmer und dem freundlichen Service in unserem Restaurant und der Bar im 31. Stock zufrieden waren.nnWir freuen uns schon, Sie bald wieder bei uns begrüßen zu dürfen!nnHerzliche GrüßenIhr Team vom Margaritaville Resort Times Square",
                  "language": "de",
                  "response_id": "903835671",
                  "timestamp": "2025-06-05 00:00:00 +00:00"
                }
              ],
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "5"
                },
                {
                  "feature": "Rooms",
                  "assessment": "5"
                },
                {
                  "feature": "Location",
                  "assessment": "5"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "5"
                },
                {
                  "feature": "Service",
                  "assessment": "5"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "5"
                }
              ]
            },
            {
              "type": "tripadvisor_review_search",
              "rank_group": 10,
              "rank_absolute": 10,
              "position": "left",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g60763-d23462501-r1008482206-Margaritaville_Resort_Times_Square-New_York_City_New_York.html",
              "rating": {
                "rating_type": "Max5",
                "value": 1,
                "votes_count": null,
                "rating_max": 5
              },
              "date_of_visit": "2025-03-31 00:00:00 +00:00",
              "timestamp": "2025-05-20 00:00:00 +00:00",
              "review_id": "903636367",
              "title": "SMALL, MUSTY AND LEAVING PRECO FOR A NO-ALCOHOLIC GUST ISNT COOL OR 1,000 SMOKING CHARGE FOR A NO-SMOKER.",
              "review_text": "The water was always cold, the rooms smell MOLDY, the pool was not heated and at check out I paid 295 which was expected.   When reviewing my credit card statement they added a 1,000 extra.  nnTHEY SAID THE DAY BEFORE I CHECK OUT I HAD A 2 SMOKING CHARGES TO MY ROOM.   I CALL SEVERAL TIME, ASKED FOR MANAGER THEY SIA CALL BACK HES IN A MEETING, HE WENT HOME, HES NOT HERE YET, ETC, ETC.nnSCAM SCAM SCAM-  nTHEY HAD NO CHARGES OF SMOKING WHEN I CHECK OUT 0N 25 MARCH 2025.nnI DO NOT RECOMMEND, EVERYTIME WHEN ENTERING OR LEAVING THEY ARE PUSHING DRINK COUPONS AND FREE PERCO IN THE ROOM EVERY DAY, I DONT DRINK OR SMOKE I HAD 3 BOTTLES OF PRECO THEY BROUGHT TO MY ROOM,  I GUSS I WOULD ASK IF THOSE WERE ADDED TO THE BILL AS WELL, IF I COULD EVER TALK TO MGT.",
              "language": "en",
              "original_language": "en",
              "review_images": [
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/2f/ec/90/3a/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/ec/90/7c/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-w/2f/ec/90/7d/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/2f/ec/90/7e/caption.jpg"
                },
                {
                  "url": "https://media-cdn.tripadvisor.com/media/photo-m/1280/2f/ec/90/7f/caption.jpg"
                }
              ],
              "user_profile": {
                "name": "Eugene R",
                "url": "https://www.tripadvisor.com/Profile/176eugener",
                "image_url": "https://media-cdn.tripadvisor.com/media/photo-o/1a/f6/e7/7b/default-avatar-2020-56.jpg",
                "location": "Cheyenne, Wyoming",
                "reviews_count": 6
              },
              "responses": null,
              "review_highlights": [
                {
                  "feature": "Value",
                  "assessment": "1"
                },
                {
                  "feature": "Rooms",
                  "assessment": "1"
                },
                {
                  "feature": "Location",
                  "assessment": "4"
                },
                {
                  "feature": "Cleanliness",
                  "assessment": "3"
                },
                {
                  "feature": "Service",
                  "assessment": "2"
                },
                {
                  "feature": "Sleep Quality",
                  "assessment": "1"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}